#page{
    width: 100%;
    height: 100%;
    position: fixed;
    align-items: center;
    justify-content: center;
    float: left;
    z-index: 5555;
    left: 0;
    top: 0;
    background: #34495e80;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}
.loading {
    width: 200px;
    height: 200px;
    box-sizing: border-box;
    border-radius: 50%;
    border-top: 10px solid #e74c3c;
    position: relative;
    animation: a1 2s linear infinite;
}
.loading::before,
.loading::after {
    content: '';
    width: 200px;
    height: 200px;
    position: absolute;
    left: 0;
    top: -10px;
    box-sizing: border-box;
    border-radius: 50%;
}
.loading::before {
    border-top: 10px solid #e67e22;
    transform: rotate(120deg);
}
.loading::after {
    border-top: 10px solid #3498db;
    transform: rotate(240deg);
}
.loading span {
    position: absolute;
    width: 200px;
    height: 200px;
    color: #fff;
    text-align: center;
    line-height: 200px;
    animation: a2 2s linear infinite;
}
@keyframes a1 {
    to {
        transform: rotate(360deg);
    }
}
@keyframes a2 {
    to {
        transform: rotate(-360deg);
    }
}
::-webkit-scrollbar-track
{
	border-radius: 10px;
	background-color: #f2f2f2;
}
::-webkit-scrollbar
{
    width: 10px;
    height: 12px;
	border-radius: 10px;
	background-color: #f2f2f2;
}
::-webkit-scrollbar-thumb
{
	border-radius: 10px;
	background-color: #c3c3c3;
}
body{
    font-family: 'Kanit', sans-serif;
}
.page_login{
    background-image: url("../../images/bg.svg");
    background-repeat: no-repeat;
    background-size: 100% 100%;
    height: 100vh;
}
.wrap_login_block {
    max-width: 350px;
    padding: 20px;
    margin: auto;
    margin-top: calc(50vh - 230px);
    background-color: rgba(255, 255, 255,0.85);
    border-radius: 15px;
    box-shadow: 1px 0px 23px 0px rgba(0,0,0,0.15);
-webkit-box-shadow: 1px 0px 23px 0px rgba(0,0,0,0.15);
-moz-box-shadow: 1px 0px 23px 0px rgba(0,0,0,0.15);

}
.btn-main {
    background-color: #f16624;
    color: #FFF;
}
.wrapper, .main-footer{
    background-color: #f4f6f9;
}
.main-footer{
    font-size: 90%;
    border-top: 0;
    padding: 0 1rem .5rem;
    color: #869099d1;
}
a.forgot_password{
    color: #858585;
}
b, strong{
    font-weight: bold;
}
label.error {
    color:red;
    font-size:12px;
    margin-bottom: 0;
    display: none;
}
.bg-blue-black{
    background-color: #034da2;
    color: #FFF;
}
.text-blue-black{
    color: #034da2;
}
.font-size-14{
    font-size: 14px;
}
.content-header .breadcrumb{
    font-size: 90%;
}
.main-sidebar{
    background-color: #035c9b;
}
.sidebar{
    padding: 0;
}
[class*=sidebar-dark-] .sidebar a, [class*=sidebar-dark-] .nav-treeview>.nav-item>.nav-link{
    color: #FFF;
}
[class*=sidebar-dark] .brand-link, [class*=sidebar-dark] .user-panel{
    border-bottom: none;
}
.nav-sidebar .nav-item>.nav-link{
    border-left: 2px solid transparent;
}
.nav-sidebar .nav-item>.nav-link .box-image{
    width: 30px;
    display: inline-block;
}
.nav-sidebar .nav-item>.nav-link svg{
    width: 20px;
    color: #FFF;
    vertical-align: sub;
    fill: #FFF;
}
.nav-sidebar .nav-item:hover .nav-link .box-image svg, .nav-sidebar .nav-item .nav-link.active .box-image svg{
    /* filter: invert(68%) sepia(40%) saturate(5649%) hue-rotate(349deg) brightness(253%) contrast(98%) !important; */
    filter: invert(36%) sepia(360%) saturate(100%) hue-rotate(1252deg) brightness(100%) contrast(100%) !important;
}
.nav-sidebar .nav-item>.nav-link svg.menu_member{
    fill:none;
    stroke:#fff;
    stroke-linecap:round;
    stroke-linejoin:round;
    stroke-width:17px;
}
.nav-sidebar .nav-item>.nav-link svg.menu_lottery{
    fill:#fff;
    stroke:#fff;
    stroke-width:2.13px;
    stroke-width:5px;
}
.content-header h1 svg{
    width: 30px;
    margin-right: 5px;
    vertical-align: top;
    fill: #282b30;
}
.content-header h1 svg.menu_member{
    fill:none;
    stroke:#282b30;
    stroke-linecap:round;
    stroke-linejoin:round;
    stroke-width:17px;
}
.content-header h1 svg.menu_lottery{
    fill:#282b30;
    stroke:#282b30;
    stroke-width:2.13px;
    stroke-width:5px;
}
.brand-link{
    text-align: center;
    font-size: .8rem;
    padding: 0.5rem;
}
.user-panel{
    text-align: center;
    padding-top: 15px;
    padding-bottom: 10px;
    background-color: #00497c;
}
.user-panel .info{
    display: block;
    font-size: .8rem;
}
.user-panel .image{
    width: 50px;
    height: 50px;
    overflow: hidden;
    display: inline-block;
    border-radius: 100%;
    vertical-align: middle;
    padding-left: 0;
}
.user-panel .image svg.member_profile{    
    opacity:0.98;
    fill:#FFFFFF;
    stroke:#FFFFFF;
    stroke-width:3.54px;
}
.user-panel .image img.img-landscape{
    width: 100%;
    height: auto;
    vertical-align: middle;
}
.user-panel .image img.img-vertical{
    width: auto;
    height: 100%;
    vertical-align: middle;
}
.sidebar-dark-primary .nav-sidebar>.nav-item>.nav-link.active, .sidebar-light-primary .nav-sidebar>.nav-item>.nav-link.active,
[class*=sidebar-dark-] .nav-sidebar>.nav-item.menu-open>.nav-link, [class*=sidebar-dark-] .nav-sidebar>.nav-item:hover>.nav-link, 
[class*=sidebar-dark-] .nav-sidebar>.nav-item>.nav-link:focus{
    width: 100%;
    background-color: #FFF;
    color: #77b7ff;
    border-radius: 0;
    box-shadow: none;
    border-left: 3px solid #00a4ff;
}
.sidebar-dark-primary .nav-sidebar>.nav-item>.nav-link.active svg, .sidebar-light-primary .nav-sidebar>.nav-item>.nav-link.active svg,
[class*=sidebar-dark-] .nav-sidebar>.nav-item.menu-open>.nav-link svg, [class*=sidebar-dark-] .nav-sidebar>.nav-item:hover>.nav-link svg, 
[class*=sidebar-dark-] .nav-sidebar>.nav-item>.nav-link:focus svg{
    fill: #77b7ff;
}
.sidebar-dark-primary .nav-sidebar>.nav-item>.nav-link.active svg.menu_member, .sidebar-light-primary .nav-sidebar>.nav-item>.nav-link.active svg.menu_member,
[class*=sidebar-dark-] .nav-sidebar>.nav-item.menu-open>.nav-link svg.menu_member, [class*=sidebar-dark-] .nav-sidebar>.nav-item:hover>.nav-link svg.menu_member, 
[class*=sidebar-dark-] .nav-sidebar>.nav-item>.nav-link:focus svg.menu_member{
    fill:none;
    stroke:#77b7ff;
    stroke-linecap:round;
    stroke-linejoin:round;
    stroke-width:17px;
}
.sidebar-dark-primary .nav-sidebar>.nav-item>.nav-link.active svg.menu_lottery, .sidebar-light-primary .nav-sidebar>.nav-item>.nav-link.active svg.menu_lottery,
[class*=sidebar-dark-] .nav-sidebar>.nav-item.menu-open>.nav-link svg.menu_lottery, [class*=sidebar-dark-] .nav-sidebar>.nav-item:hover>.nav-link svg.menu_lottery, 
[class*=sidebar-dark-] .nav-sidebar>.nav-item>.nav-link:focus svg.menu_lottery{
    fill:#77b7ff;
    stroke:#77b7ff;
    stroke-width:2.13px;
    stroke-width:5px;
}
.table th{
    text-align: center;
}
.table td{
    padding: 10px;
    vertical-align: middle;
}
.btn_small{
    margin: 0 2px;
    line-height: 0;
    padding: 5px;
}
.btn_small img{
    width: 17px;
}
.btn-yellow, .modal-content .modal-header{
    color: #ffffff;
    background-color: #00497c;
}
.btn-yellow:hover, .btn-yellow:focus, .btn-yellow:active{
    color: #FFF;
    background: #f1c102;
}
.page_left, .label-search {
    display: none;
}
.modal-content{
    border-radius: 20px;
}
.modal-header{
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
}
.modal-header .close{
    color: #FFF;
    font-size: 2rem;
    padding: 0rem 1rem;
    opacity: 1;
}
.page_right{
    display: block;
    text-align: center;
}
.text-yellow, 
.bmd-form-group.is-focused:not(.has-success):not(.has-danger) [class^='bmd-label'].bmd-label-floating,
.bmd-form-group.is-filled:not(.has-success):not(.has-danger) [class^='bmd-label'].bmd-label-floating{
    color: #ffcc0b;
}
.bmd-form-group .form-control{
    border: 1px solid #fdeeb4;
    -webkit-box-shadow: 1px solid #fdeeb4;
    -moz-box-shadow: 1px solid #fdeeb4;
}
.bmd-form-group .form-control:focus{
    box-shadow: none;
    border-color: #fdeeb4;
    border: 1px solid #fdeeb4;
}
.page_right{
    text-align: center;
    justify-content: center;
    display: flex;
    align-items: center;
}
.input-group input{
    border-right: none;
}
.input-group .input-group-text{
    background-color: #FFF;
    border-left: none;
}
.dataTables_info, .dataTables_paginate{
    font-size: .9rem;
    color: #a5a5a5;
}
.dataTables_length label{
    font-size: .8rem;
    font-weight: bold !important;
}
.custom-select-sm{
    font-size: 100%;
}
.page-link{
    border: none;
    padding: 0.2rem 0.7rem;
    border-radius: 5px;
}
.clear-both {
    clear: both;
}
.card_main {
    width: 100%;
    height: auto;
    padding: 20px;
    background-color: rgb(255, 255, 255);
    border-radius: 11px;
}
.form-control {
    background-color: #f0f0f0 !important;
    border: none !important;
    border-radius: 8px;
}
input[type=number] {
    text-align: right !important;
}
.img_preview {
    width: 100%;
    border-radius: 8px;
    margin-top: 15px;
}
.btn_del_img {
    position: absolute;
    width: 26px;
    height: 26px;
    background-color: red;
    top: 23px;
    right: 15px;
    border-radius: 50%;
    padding: 2px;
    text-align: center;
    color: #FFFF;
    cursor: pointer;
}
.pointer {
    cursor: pointer;
}
.wrap_permission_read {
    background-color: rgb(255, 217, 167);
    padding: 10px;
    border-radius: 10px;
    margin-bottom: 10px;
}
.wrap_no_permission_read {
    background-color: rgb(255, 232, 202);
    padding: 10px;
    border-radius: 10px;
    margin-bottom: 10px;
    position: relative;
   
}
.wrap_blur {
    filter: blur(15px);
    -webkit-filter: blur(15px);
}
.wrap_blur_text {
    position: absolute;
    top: 30%;
    font-size: 23px;
    width: 100%;
    text-align: center;
}
.readonly input, .readonly textarea {
    pointer-events: none;
}
.bold {
    font-weight: 800;
}
.card {
    border-radius: 20px;
}
.font-size-12{
    font-size: 12px;
    }
    .font-size-13{
    font-size: 13px;
    }
    .font-size-14{
    font-size: 14px;
    }
    .font-size-15{
    font-size: 15px;
    }
    .font-size-16{
    font-size: 16px;
    }
    .font-size-17{
    font-size: 17px;
    }
    .font-size-18{
    font-size: 18px;
    }
    .font-size-19{
    font-size: 19px;
    }
    .font-size-20{
        font-size: 20px;
    }
    .font_light {
        font-weight: 100;
    }
    .color_gray {
        color: gray;
    }
    .hide {
        display: none;
    }
.select2-container--bootstrap4 .select2-selection {
    width: 100% !important;
    background-color: #f0f0f0!important;
    border: none!important;
    border-radius: 10px!important;
}
.readonly .select2-container--bootstrap4 .select2-selection {
    pointer-events: none;
}
.wrap_profile {
    margin-bottom: 100px;
}
.wrap_bg {
    width: 100%;
    height: 270px;
    background-color: #035c9b;
    border-radius: 20px;
    margin-top: 10px;
    margin-bottom: 10px;
    box-shadow: 0px 1px 45px -12px rgba(0,0,0,0.3);
    -webkit-box-shadow: 0px 1px 45px -12px rgba(0,0,0,0.3);
    -moz-box-shadow: 0px 1px 45px -12px rgba(0,0,0,0.3);
    position: relative;
}
.wrap_user_info {
    position: absolute;
    bottom: -70px;
    left: 60px;
}
.wrap_user_info_text {
    display: inline-block;
}
.profile_img {
    display: inline-block;
    width: 140px;
    height: 140px;
    border-radius: 50%;
    background-color: rgb(134, 134, 134);
    overflow: hidden;
}
.profile_img img {
    width: 100%;
}
.wrap_change_pwd {
    position: absolute;
    bottom: -40px;
    right: 5px;
    font-size: 16px;
    cursor: pointer;
}
@media (min-width: 768px){
    .page_left {
        text-align: center;
        justify-content: center;
        display: flex;
        align-items: center;
        background-image: url('../../images/bg_backend.jpg');
        background-position: top left;
        background-size: 100%;
    }
    .page_left img{
        height: 100px;
        margin: 0 1rem;
    }
    .label-search {
        display: block;
    }

    
}
@media (max-width: 720px){
    .wrap_user_info {
        position: absolute;
        bottom: unset;
        left: unset;
        text-align: center;
        top: 45px;
        width: 100%;
    }
}
.text-yellow2 {
 color: #bb8d03!important;
}